__LOCATED_VAR(BOOL,__IX0_0,I,X,0,0)
__LOCATED_VAR(BOOL,__IX0_1,I,X,0,1)
__LOCATED_VAR(BOOL,__QX0_0,Q,X,0,0)
__LOCATED_VAR(BOOL,__QX0_1,Q,X,0,1)
__LOCATED_VAR(BOOL,__QX0_2,Q,X,0,2)
__LOCATED_VAR(BOOL,__QX0_3,Q,X,0,3)
__LOCATED_VAR(BOOL,__QX1_1,Q,X,1,1)
__LOCATED_VAR(BOOL,__QX2_0,Q,X,2,0)
__LOCATED_VAR(BOOL,__QX2_1,Q,X,2,1)
__LOCATED_VAR(BOOL,__QX2_2,Q,X,2,2)
__LOCATED_VAR(BOOL,__QX2_3,Q,X,2,3)
__LOCATED_VAR(BOOL,__QX2_4,Q,X,2,4)
